﻿using System;

namespace TestProject
{
    /// <summary>
    /// 윈도우 닫기 인터페이스
    /// </summary>
    public interface ICloseWindow
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property

        #region 닫기 액션 - CloseAction

        /// <summary>
        /// 닫기 액션
        /// </summary>
        Action CloseAction { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method

        #region 닫기 가능 여부 구하기 - CanClose()

        /// <summary>
        /// 닫기 가능 여부 구하기
        /// </summary>
        /// <returns>닫기 가능 여부</returns>
        bool CanClose();

        #endregion
    }
}